require("util")

local name = "smart-long-handed-inserter"

local ref = data.raw.inserter
local thing = util.table.deepcopy(ref["long-handed-inserter"])
local ratio = ref["smart-inserter"].energy_per_rotation/ref["fast-inserter"].energy_per_rotation

thing.name = name
thing.icon = "__smart-long-handed-inserter__/icon.png"
thing.minable.result = name
thing.filter_count = 5
thing.programmable = true
thing.energy_per_movement = thing.energy_per_movement * ratio
thing.energy_per_rotation = thing.energy_per_rotation * ratio
ref = {r=1, g=0.25, b=.5, a=1}
thing.hand_base_picture.tint = ref
thing.hand_closed_picture.tint = ref
thing.hand_open_picture.tint = ref
thing.platform_picture.sheet.tint = ref
--[[
-- add a dash to the start of the above line (to make it "---") to make these inserters fast. Remove it again ("--") to undo.
thing.extension_speed = 0.07
thing.rotation_speed = 0.035
--]]

local toadd = {thing}

thing = table.deepcopy(data.raw.item["smart-inserter"])
thing.name = name
thing.place_result = name
thing.icon = "__smart-long-handed-inserter__/icon.png"
thing.order = "d[smart-long-handed-inserter]"
table.insert(toadd, thing)

thing = util.table.deepcopy(data.raw.recipe["smart-inserter"])
thing.name = name
thing.result = name
for n,ing in pairs(thing.ingredients) do
	if string.find(ing[1],"inserter") then
		thing.ingredients[n][1] = "long-handed-inserter"
	end
end
table.insert(toadd, thing)

data:extend(toadd)

for _,tech in pairs(data.raw.technology) do
	if tech.effects then
		for _,effect in pairs(tech.effects) do
			if effect.type == "unlock-recipe" and effect.recipe == "smart-inserter" then
				table.insert(tech.effects,{type = "unlock-recipe", recipe = name})
				break
			end
		end
	end
end
